Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_FileManager extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents_FileManager extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'contents/file_manager.tpl';
@@ -59,6 +57,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -70,6 +67,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // フォーム操作クラス
@@ -209,6 +205,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -220,6 +215,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // 共通定義
         $this->lfInitParamCommon($objFormParam);
@@ -232,6 +226,5 @@
      * @return void
      */
-    function lfInitParamModeMove(&$objFormParam)
-    {
+    function lfInitParamModeMove(&$objFormParam) {
         // 共通定義
         $this->lfInitParamCommon($objFormParam);
@@ -245,6 +238,5 @@
      * @return void
      */
-    function lfInitParamModeView(&$objFormParam)
-    {
+    function lfInitParamModeView(&$objFormParam) {
         // 共通定義
         $this->lfInitParamCommon($objFormParam);
@@ -258,6 +250,5 @@
      * @return void
      */
-    function lfInitParamModeCreate(&$objFormParam)
-    {
+    function lfInitParamModeCreate(&$objFormParam) {
         // 共通定義
         $this->lfInitParamCommon($objFormParam);
@@ -272,6 +263,5 @@
      * @return void
      */
-    function lfInitParamCommon(&$objFormParam)
-    {
+    function lfInitParamCommon(&$objFormParam) {
         $objFormParam->addParam('ルートディレクトリ', 'top_dir', MTEXT_LEN, 'a', array());
         $objFormParam->addParam('現在の階層ディレクトリ', 'now_dir', MTEXT_LEN, 'a', array());
@@ -287,6 +277,5 @@
      * @return void
      */
-    function lfInitFile(&$objUpFile)
-    {
+    function lfInitFile(&$objUpFile) {
         $objUpFile->addFile('ファイル', 'upload_file', array(), FILE_SIZE, true, 0, 0, false);
     }
@@ -298,6 +287,5 @@
      * @return array $setParam テンプレートに渡す値
      */
-    function createSetParam($arrVal)
-    {
+    function createSetParam($arrVal) {
         $setParam = $arrVal;
         // Windowsの場合は, ディレクトリの区切り文字を\から/に変換する
@@ -317,6 +305,5 @@
      * @return void
      */
-    function setDispParam($key, $val)
-    {
+    function setDispParam($key, $val) {
         $this->$key = $val;
     }
@@ -329,6 +316,5 @@
      * @return boolean ディレクトリ作成できたかどうか
      */
-    function tryCreateDir($objFileManager, $objFormParam)
-    {
+    function tryCreateDir($objFileManager, $objFormParam) {
         $create_dir_flg = false;
         $create_dir = rtrim($objFormParam->getValue('now_dir'), '/');
@@ -346,6 +332,5 @@
      * @return boolean ファイル表示するかどうか
      */
-    function tryView(&$objFormParam)
-    {
+    function tryView(&$objFormParam) {
         $view_flg = false;
         $now_dir = $this->lfCheckSelectDir($objFormParam, dirname($objFormParam->getValue('select_file')));
@@ -363,6 +348,5 @@
      * @return void
      */
-    function setParentDir($objFormParam)
-    {
+    function setParentDir($objFormParam) {
         $parent_dir = $this->lfGetParentDir($objFormParam->getValue('now_dir'));
         $this->setDispParam('tpl_parent_dir', $parent_dir);
@@ -375,6 +359,5 @@
      * @return void
      */
-    function setDispPath($objFormParam)
-    {
+    function setDispPath($objFormParam) {
         $tpl_now_dir = '';
         // Windows 環境で DIRECTORY_SEPARATOR が JavaScript に渡るとエスケープ文字と勘違いするので置換
@@ -392,6 +375,5 @@
      * @return void
      */
-    function setDispError($key, $value)
-    {
+    function setDispError($key, $value) {
         // 既にエラーがある場合は、処理しない
         if (SC_Utils_Ex::isBlank($this->arrErr[$key])) {
@@ -406,6 +388,5 @@
      * @return void
      */
-    function setTplOnLoad($tpl_onload)
-    {
+    function setTplOnLoad($tpl_onload) {
         $this->tpl_onload .= $tpl_onload;
     }
@@ -418,6 +399,5 @@
      * @return string $select_dir 選択ディレクトリ
      */
-    function lfCheckSelectDir($objFormParam, $dir)
-    {
+    function lfCheckSelectDir($objFormParam, $dir) {
         $select_dir = '';
         $top_dir = $objFormParam->getValue('top_dir');
@@ -444,6 +424,5 @@
      * @return string $parent_dir 親ディレクトリ
      */
-    function lfGetParentDir($dir)
-    {
+    function lfGetParentDir($dir) {
         $parent_dir = '';
         $dir = rtrim($dir, '/');
@@ -464,6 +443,5 @@
      * @return void
      */
-    function setDispTree($objFileManager, $objFormParam)
-    {
+    function setDispTree($objFileManager, $objFormParam) {
         $tpl_onload = '';
         // ツリーを表示する divタグid, ツリー配列変数名, 現在ディレクトリ, 選択ツリーhidden名, ツリー状態hidden名, mode hidden名
@@ -497,6 +475,5 @@
      * @return void
      */
-    function setIsTopDir($objFormParam)
-    {
+    function setIsTopDir($objFormParam) {
         // トップディレクトリか調査
         $is_top_dir = false;
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_FileView extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents_FileView extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->getMode()) {
@@ -93,6 +89,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -104,6 +99,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('ファイル名', 'file', MTEXT_LEN, 'a', array('EXIST_CHECK'));
     }
@@ -115,6 +109,5 @@
      * @return boolen $file_check_flg エラーチェックの結果
      */
-    function checkErrorDispFile($objFormParam)
-    {
+    function checkErrorDispFile($objFormParam) {
         $file_check_flg = false;
 
@@ -134,6 +127,5 @@
      * @return void
      */
-    function execFileView($objFormParam)
-    {
+    function execFileView($objFormParam) {
         $file = $objFormParam->getValue('file');
 
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_CSV extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents_CSV extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'contents/csv.tpl';
@@ -63,6 +61,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -74,6 +71,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -121,6 +117,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('編集種別', 'tpl_subno_csv', STEXT_LEN, 'a', array('ALNUM_CHECK', 'MAX_LENGTH_CHECK'), 'product');
         $objFormParam->addParam('出力設定リスト', 'output_list', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK', 'EXIST_CHECK'));
@@ -136,6 +131,5 @@
      * @return array SwapArrayしたカラム設定
      */
-    function lfGetCSVColumn($csv_id, $csv_status_flg = '', $order ='rank, no')
-    {
+    function lfGetCSVColumn($csv_id, $csv_status_flg = '', $order ='rank, no') {
         $objCSV = new SC_Helper_CSV_Ex();
         if (SC_Utils_Ex::sfIsInt($csv_id)) {
@@ -158,6 +152,5 @@
      * @return array 選択済みカラム列情報
      */
-    function lfGetSelected($csv_id)
-    {
+    function lfGetSelected($csv_id) {
         $arrData = $this->lfGetCSVColumn($csv_id, CSV_COLUMN_STATUS_FLG_ENABLE);
         if (!isset($arrData['no'])) {
@@ -173,6 +166,5 @@
      * @return array 選択済みカラム列情報
      */
-    function lfGetOptions($csv_id)
-    {
+    function lfGetOptions($csv_id) {
         $arrData = $this->lfGetCSVColumn($csv_id);
         if (!isset($arrData['no'])) {
@@ -189,6 +181,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -200,6 +191,5 @@
      * @return integer CSV_ID
      */
-    function lfGetCsvId($subno_csv)
-    {
+    function lfGetCsvId($subno_csv) {
         $objCSV = new SC_Helper_CSV_Ex();
         $arrKey = array_keys($objCSV->arrSubnavi,$subno_csv);
@@ -219,6 +209,5 @@
      * @return boolean 成功:true
      */
-    function lfSetDefaultCsvOutput($csv_id)
-    {
+    function lfSetDefaultCsvOutput($csv_id) {
         $arrData = $this->lfGetCSVColumn($csv_id, '', $order = 'no');
         if (!isset($arrData['no'])) {
@@ -235,6 +224,5 @@
      * @return boolean 成功:true
      */
-    function lfUpdCsvOutput($csv_id, $arrData = array())
-    {
+    function lfUpdCsvOutput($csv_id, $arrData = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // ひとまず、全部使用しないで更新する
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_CsvSql extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents_CsvSql extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'contents/csv_sql.tpl';
@@ -59,6 +57,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -70,6 +67,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -146,6 +142,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('SQL ID', 'sql_id', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
         $objFormParam->addParam('CSV出力対象SQL ID', 'csv_output_id', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'), '', false);
@@ -161,6 +156,5 @@
      * @return array エラー配列
      */
-    function lfCheckConfirmError(&$objFormParam)
-    {
+    function lfCheckConfirmError(&$objFormParam) {
         // パラメーターの基本チェック
         $arrErr = $objFormParam->checkError();
@@ -189,6 +183,5 @@
      * @return array エラー配列
      */
-    function lfCheckPreviewError(&$objFormParam)
-    {
+    function lfCheckPreviewError(&$objFormParam) {
         // パラメーターの基本チェック
         $arrErr = $objFormParam->checkError();
@@ -209,6 +202,5 @@
      * @return array エラー配列
      */
-    function lfCheckDeleteError(&$objFormParam)
-    {
+    function lfCheckDeleteError(&$objFormParam) {
         // パラメーターの基本チェック
         $arrErr = $objFormParam->checkError();
@@ -228,6 +220,5 @@
      * @return array エラー配列
      */
-    function lfCheckOutputError(&$objFormParam)
-    {
+    function lfCheckOutputError(&$objFormParam) {
         // パラメーターの基本チェック
         $arrErr = $objFormParam->checkError();
@@ -246,6 +237,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -256,6 +246,5 @@
      * @return array テーブル名一覧
      */
-    function lfGetTableList()
-    {
+    function lfGetTableList() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // 実テーブル上のカラム設定を見に行く仕様に変更 ref #476
@@ -281,6 +270,5 @@
      * @return array カラム一覧の配列
      */
-    function lfGetColList($table)
-    {
+    function lfGetColList($table) {
         if (SC_Utils_Ex::isBlank($table)) {
             return array();
@@ -300,6 +288,5 @@
      * @return array 取得結果の配列
      */
-    function lfGetSqlList($where = '' , $arrVal = array())
-    {
+    function lfGetSqlList($where = '' , $arrVal = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_csv_sql';
@@ -314,6 +301,5 @@
      * @return string エラー内容
      */
-    function lfCheckSQL($sql)
-    {
+    function lfCheckSQL($sql) {
         // FIXME: 意図的に new SC_Query しています。 force_runをtrueにする必要があるので.本当はqueryの引数で制御したい。ref SC_Query
         $objQuery = new SC_Query_Ex('', true);
@@ -333,6 +319,5 @@
      * @return mixed 表示用パラメーター
      */
-    function lfGetSqlData(&$objFormParam)
-    {
+    function lfGetSqlData(&$objFormParam) {
         // 編集中データがある場合
         if (!SC_Utils_Ex::isBlank($objFormParam->getValue('sql_name'))
@@ -355,6 +340,5 @@
      * @return void
      */
-    function lfDoCsvOutput($sql_id)
-    {
+    function lfDoCsvOutput($sql_id) {
         $arrData = $this->lfGetSqlList('sql_id = ?', array($sql_id));
         $sql = 'SELECT ' . $arrData[0]['csv_sql'] . ' ';
@@ -387,6 +371,5 @@
      * @return integer $sql_id SQL_IDを返す
      */
-    function lfUpdData($sql_id, $arrSqlVal)
-    {
+    function lfUpdData($sql_id, $arrSqlVal) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_csv_sql';
@@ -412,6 +395,5 @@
      * @return boolean 実行結果 true：成功
      */
-    function lfDelData($sql_id)
-    {
+    function lfDelData($sql_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_csv_sql';
@@ -432,6 +414,5 @@
      * @return array 不許可ワード配列
      */
-    function lfGetSqlDenyList()
-    {
+    function lfGetSqlDenyList() {
         $arrList = array(';'
             ,'CREATE\s'
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents_RecommendSearch extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents_RecommendSearch extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainno = 'contents';
@@ -57,6 +55,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -68,6 +65,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -117,6 +113,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -126,10 +121,8 @@
      * @param Object $objFormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('商品ID', 'search_name', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('商品ID', 'search_category_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK','NUM_CHECK'));
         $objFormParam->addParam('商品コード', 'search_product_code', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('商品ステータス', 'search_status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('ページ番号', 'search_pageno', INT_LEN, 'n', array('MAX_LENGTH_CHECK','NUM_CHECK'));
     }
@@ -140,6 +133,5 @@
      * @return Array エラー内容
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         $objErr->arrErr = $objFormParam->checkError();
@@ -153,6 +145,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function createWhere(&$objFormParam,&$objDb)
-    {
+    function createWhere(&$objFormParam,&$objDb) {
         $arrForm = $objFormParam->getHashArray();
         $where = 'alldtl.del_flg = 0';
@@ -179,8 +170,4 @@
                     $bind[] = '%'.$val.'%';
                     break;
-                case 'search_status':
-                    $where .= ' AND alldtl.status = ?';
-                    $bind[] = $val;
-                    break;
                 default:
                     break;
@@ -199,6 +186,5 @@
      * @param SC_Product $objProduct
      */
-    function getLineCount($whereAndBind,&$objProduct)
-    {
+    function getLineCount($whereAndBind,&$objProduct) {
         $where = $whereAndBind['where'];
         $bind = $whereAndBind['bind'];
@@ -215,6 +201,5 @@
      * @param SC_Product $objProduct
      */
-    function getProducts($whereAndBind,&$objProduct, $page_max, $startno)
-    {
+    function getProducts($whereAndBind,&$objProduct, $page_max, $startno) {
         $where = $whereAndBind['where'];
         $bind = $whereAndBind['bind'];
@@ -233,6 +218,5 @@
      * @param SC_Product $objProduct
      */
-    function getProductList($arrProductId, &$objProduct)
-    {
+    function getProductList($arrProductId, &$objProduct) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 22581)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Contents extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Contents extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'contents/index.tpl';
@@ -68,6 +66,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -79,88 +76,83 @@
      * @return void
      */
-    function action()
-    {
-
-        $objNews = new SC_Helper_News_Ex();
-
+    function action() {
+
+        $objDb = new SC_Helper_DB_Ex();
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($objFormParam);
         $objFormParam->setParam($_POST);
         $objFormParam->convParam();
-
         $news_id = $objFormParam->getValue('news_id');
 
         //---- 新規登録/編集登録
         switch ($this->getMode()) {
-            case 'edit':
+            case 'regist':
+                $arrPost = $objFormParam->getHashArray();
                 $this->arrErr = $this->lfCheckError($objFormParam);
-                if (!SC_Utils_Ex::isBlank($this->arrErr['news_id'])) {
-                    trigger_error('', E_USER_ERROR);
-                    return;
-                }
-
-                if (count($this->arrErr) <= 0) {
-                    // POST値の引き継ぎ
-                    $arrParam = $objFormParam->getHashArray();
-                    // 登録実行
-                    $res_news_id = $this->doRegist($news_id, $arrParam, $objNews);
-                    if ($res_news_id !== FALSE) {
-                        // 完了メッセージ
-                        $news_id = $res_news_id;
-                        $this->tpl_onload = "alert('登録が完了しました。');";
+                if (SC_Utils_Ex::isBlank($this->arrErr)) {
+                    // ニュースIDの値がPOSTされて来た場合は既存データの編集とみなし、
+                    // 更新メソッドを呼び出す。
+                    // ニュースIDが存在しない場合は新規登録を行う。
+                    $arrPost['link_method'] = $this->checkLinkMethod($arrPost['link_method']);
+                    $arrPost['news_date'] = $this->getRegistDate($arrPost);
+                    $member_id = $_SESSION['member_id'];
+                    if (strlen($news_id) > 0 && is_numeric($news_id)) {
+                        $this->lfNewsUpdate($arrPost,$member_id);
+                    } else {
+                        $this->lfNewsInsert($arrPost,$member_id);
                     }
-                }
-                // POSTデータを引き継ぐ
-                $this->tpl_news_id = $news_id;
-                break;
-
-            case 'pre_edit':
-                $news = $objNews->get($news_id);
-                list($news['year'],$news['month'],$news['day']) = $this->splitNewsDate($news['cast_news_date']);
-                $objFormParam->setParam($news);
-
-                // POSTデータを引き継ぐ
-                $this->tpl_news_id = $news_id;
-                break;
-
+                    $news_id = '';
+                    $this->tpl_onload = "window.alert('編集が完了しました');";
+                } else {
+                    $this->arrForm = $arrPost;
+                }
+                break;
+            case 'search':
+                if (is_numeric($news_id)) {
+                    list($this->arrForm) = $this->getNews($news_id);
+                    list($this->arrForm['year'],$this->arrForm['month'],$this->arrForm['day']) = $this->splitNewsDate($this->arrForm['cast_news_date']);
+                    $this->edit_mode = 'on';
+                }
+                break;
             case 'delete':
             //----　データ削除
-                $objNews->delete($news_id);
-                //自分にリダイレクト（再読込による誤動作防止）
-                SC_Response_Ex::reload();
-                break;
-
+                if (is_numeric($news_id)) {
+                    $pre_rank = $this->getRankByNewsId($news_id);
+                    $this->computeRankForDelete($news_id,$pre_rank);
+
+                    SC_Response_Ex::reload();             //自分にリダイレクト（再読込による誤動作防止）
+                }
+                break;
+            case 'move':
             //----　表示順位移動
-            case 'up':
-                $objNews->rankUp($news_id);
-
-                // リロード
-                SC_Response_Ex::reload();
-                break;
-
-            case 'down':
-                $objNews->rankDown($news_id);
-
-                // リロード
-                SC_Response_Ex::reload();
-                break;
-
+                if (strlen($news_id) > 0 && is_numeric($news_id) == true) {
+                    $term = $objFormParam->getValue('term');
+                    if ($term == 'up') {
+                        $objDb->sfRankUp('dtb_news', 'news_id', $news_id);
+                    } else if ($term == 'down') {
+                        $objDb->sfRankDown('dtb_news', 'news_id', $news_id);
+                    }
+
+                    $this->objDisplay->reload();
+                }
+                break;
             case 'moveRankSet':
             //----　指定表示順位移動
                 $input_pos = $this->getPostRank($news_id);
                 if (SC_Utils_Ex::sfIsInt($input_pos)) {
-                    $objNews->moveRank($news_id, $input_pos);
-                }
-                SC_Response_Ex::reload();
-                break;
-
+                    $objDb->sfMoveRank('dtb_news', 'news_id', $news_id, $input_pos);
+
+                    $this->objDisplay->reload();
+                }
+                break;
             default:
                 break;
         }
 
-        $this->arrNews = $objNews->getList();
+        $this->arrNews = $this->getNews();
+        $this->tpl_news_id = $news_id;
         $this->line_max = count($this->arrNews);
-
-        $this->arrForm = $objFormParam->getFormParamList();
+        $this->max_rank = $this->getRankMax();
+
     }
 
@@ -170,6 +162,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -180,6 +171,5 @@
      * @return Array エラー内容
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         $objErr->arrErr = $objFormParam->checkError();
@@ -192,6 +182,5 @@
      * @param Object $objFormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('news_id', 'news_id');
         $objFormParam->addParam('日付(年)', 'year', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -202,22 +191,50 @@
         $objFormParam->addParam('本文', 'news_comment', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('別ウィンドウで開く', 'link_method', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-    }
-
-    /**
-     * 登録処理を実行.
-     * 
-     * @param integer $news_id
-     * @param array $sqlval
-     * @param object $objNews
-     * @return multiple
-     */
-    function doRegist($news_id, $sqlval, SC_Helper_News_Ex $objNews)
-    {
+        $objFormParam->addParam('ランク移動', 'term', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+    }
+
+    /**
+     * 新着記事のデータの登録を行う
+     * @param Array $arrPost POSTデータの配列
+     * @param Integer $member_id 登録した管理者のID
+     */
+    function lfNewsInsert($arrPost,$member_id) {
+        $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // rankの最大+1を取得する
+        $rank_max = $this->getRankMax();
+        $rank_max = $rank_max + 1;
+
+        $table = 'dtb_news';
+        $sqlval = array();
+        $news_id = $objQuery->nextVal('dtb_news_news_id');
         $sqlval['news_id'] = $news_id;
-        $sqlval['creator_id'] = $_SESSION['member_id'];
-        $sqlval['link_method'] = $this->checkLinkMethod($sqlval['link_method']);
-        $sqlval['news_date'] = $this->getRegistDate($sqlval);
-        unset($sqlval['year'], $sqlval['month'], $sqlval['day']);
-        return $objNews->save($sqlval);
+        $sqlval['news_date'] = $arrPost['news_date'];
+        $sqlval['news_title'] = $arrPost['news_title'];
+        $sqlval['creator_id'] = $member_id;
+        $sqlval['news_url'] = $arrPost['news_url'];
+        $sqlval['link_method'] = $arrPost['link_method'];
+        $sqlval['news_comment'] = $arrPost['news_comment'];
+        $sqlval['rank'] = $rank_max;
+        $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $objQuery->insert($table, $sqlval);
+    }
+
+    function lfNewsUpdate($arrPost,$member_id) {
+        $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $table = 'dtb_news';
+        $sqlval = array();
+        $sqlval['news_date'] = $arrPost['news_date'];
+        $sqlval['news_title'] = $arrPost['news_title'];
+        $sqlval['creator_id'] = $member_id;
+        $sqlval['news_url'] = $arrPost['news_url'];
+        $sqlval['news_comment'] = $arrPost['news_comment'];
+        $sqlval['link_method'] = $arrPost['link_method'];
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $where = 'news_id = ?';
+        $arrValIn = array($arrPost['news_id']);
+        $objQuery->update($table, $sqlval, $where, $arrValIn);
     }
 
@@ -227,6 +244,5 @@
      * @return string 登録日を示す文字列
      */
-    function getRegistDate($arrPost)
-    {
+    function getRegistDate($arrPost) {
         $registDate = $arrPost['year'] .'/'. $arrPost['month'] .'/'. $arrPost['day'];
         return $registDate;
@@ -238,6 +254,5 @@
      * @return int
      */
-    function checkLinkMethod($link_method)
-    {
+    function checkLinkMethod($link_method) {
         if (strlen($link_method) == 0) {
             $link_method = 1;
@@ -247,10 +262,65 @@
 
     /**
+     * ニュース記事を取得する。
+     * @param Integer news_id ニュースID
+     */
+    function getNews($news_id = '') {
+        $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = '*, cast(news_date as date) as cast_news_date';
+        $table = 'dtb_news';
+        $order = 'rank DESC';
+        if (strlen($news_id) == 0) {
+            $where = 'del_flg = 0';
+            $arrWhereVal = array();
+        } else {
+            $where = 'del_flg = 0 AND news_id = ?';
+            $arrWhereVal = array($news_id);
+        }
+        $objQuery->setOrder($order);
+        return $objQuery->select($col, $table, $where, $arrWhereVal);
+    }
+
+    /**
+     * 指定されたニュースのランクの値を取得する。
+     * @param Integer $news_id
+     */
+    function getRankByNewsId($news_id) {
+        $objQuery = $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = 'rank';
+        $table = 'dtb_news';
+        $where = 'del_flg = 0 AND news_id = ?';
+        $arrWhereVal = array($news_id);
+        list($rank) = $objQuery->select($col, $table, $where, $arrWhereVal);
+        return $rank['rank'];
+    }
+
+    /**
+     * 削除する新着情報以降のrankを1つ繰り上げる。
+     * @param Integer $news_id
+     * @param Integer $rank
+     */
+    function computeRankForDelete($news_id,$rank) {
+        SC_Helper_DB_Ex::sfDeleteRankRecord('dtb_news', 'news_id', $news_id);
+    }
+
+    /**
      * ニュースの日付の値をフロントでの表示形式に合わせるために分割
      * @param String $news_date
      */
-    function splitNewsDate($news_date)
-    {
+    function splitNewsDate($news_date) {
         return explode('-', $news_date);
+    }
+
+    /**
+     * ランクの最大値の値を返す。
+     * @return Intger $max ランクの最大値の値
+     */
+    function getRankMax() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = 'MAX(rank) as max';
+        $table = 'dtb_news';
+        $where = 'del_flg = 0';
+        list($result) = $objQuery->select($col, $table, $where);
+        return $result['max'];
     }
 
@@ -260,6 +330,5 @@
      * @param Integer $news_id
      */
-    function getPostRank($news_id)
-    {
+    function getPostRank($news_id) {
         if (strlen($news_id) > 0 && is_numeric($news_id) == true) {
             $key = 'pos-' . $news_id;
